<div dir="ltr"><div class="gmail_default" style="font-family:verdana,sans-serif">Hello ​Wenbin Toh:<br><br>In order to upgrade your UHD to version 3.7.2, download the file at the link below [1]. If you have Fedora 19/20 or Ubuntu 12.04/14.04, you may be able to install it using the .rpm or .deb package files, respectively. If you install from source, follow the instructions listed at [2]. <br><br>[1] <a href="http://files.ettus.com/binaries/uhd_stable/latest_stable/">http://files.ettus.com/binaries/uhd_stable/latest_stable/</a><br><br>[2] <a href="http://files.ettus.com/manual/page_build_guide.html">http://files.ettus.com/manual/page_build_guide.html</a><br><br>Once you have successfully completed the installation of 3.7.2, then run the "usrp_x3xx_fpga_burner" utility.<br><br>--Neel<br><br></div></div><div class="gmail_extra"><br><div class="gmail_quote">On Wed, Sep 17, 2014 at 5:07 PM, Wenbin Toh <span dir="ltr"><<a href="mailto:wenbintoh90@gmail.com" target="_blank">wenbintoh90@gmail.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><p dir="ltr">Hi Neel,</p>
<p dir="ltr">Thanks for the suggestion. But could you explain how do I upgrade my UHD version from 3.7.1 to 3.7.2? Do I have to extract the files of 3.7.2 to UHD folder and run " usrp_x3xx_fpga_burner" ?</p>
<p dir="ltr">Regards,<br>
Wen Bin<br>
 </p>
<div class="gmail_quote">On 17 Sep 2014 00:30, "Neel Pandeya" <<a href="mailto:neel.pandeya@ettus.com" target="_blank">neel.pandeya@ettus.com</a>> wrote:<br type="attribution"><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><div dir="ltr"><div class="gmail_default" style="font-family:verdana,sans-serif">Hello ​Wenbin Toh:<br><br></div><div class="gmail_default" style="font-family:verdana,sans-serif">Since you're using an X-series device, I would recommend that you use the latest version of UHD, which is 3.7.2. I would also suggest building it from source. You can get the tar-ball at the link below.<br><br></div><div class="gmail_default" style="font-family:verdana,sans-serif"><a href="http://files.ettus.com/binaries/uhd_stable/latest_stable/" target="_blank">http://files.ettus.com/binaries/uhd_stable/latest_stable/</a><br></div><div class="gmail_default" style="font-family:verdana,sans-serif"><br>After you upgrade UHD, you will need to run "usrp_x3xx_fpga_burner" to burn the 3.7.2 FPGA image onto your X310 device.<br><br></div><div class="gmail_default" style="font-family:verdana,sans-serif">--Neel<br><br></div><div class="gmail_default" style="font-family:verdana,sans-serif"><br></div><div class="gmail_extra"><br><div class="gmail_quote">On Sun, Sep 14, 2014 at 10:59 PM, <div class="gmail_default" style="font-family:verdana,sans-serif;display:inline">​​</div>Wenbin Toh via USRP-users <span dir="ltr"><<a href="mailto:usrp-users@lists.ettus.com" target="_blank">usrp-users@lists.ettus.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"><div dir="ltr"><div style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex" class="gmail_quote">Hello all,<br><br></div>Recently, I tried to configure my Usrp x310 to work with my gnuradio 3.7.2.2. I used the command "uhd_usrp_probe" to test if the computer recognise the connection. However, I received this error message as shown below:<br><br><blockquote style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex" class="gmail_quote">          linux; GNU C++ version 4.8.1; Boost_105300; UHD_003.007.001-release<br><blockquote>-- X300 initialization sequence...<br>-- Determining maximum frame size... 1472 bytes.<br>-- Setup basic communication...<br>Error: RuntimeError: Expected FPGA compatibility number 0x4, but got 0x6.0:<br>The FPGA build is not compatible with the host code build.<br>Please run:<br><br>sudo "/usr/lib/uhd/utils/uhd_images_downloader.py"<br></blockquote></blockquote>After running the command as suggested, sudo "/usr/lib/uhd/utils/uhd_images_downloader.py". I received another error message which is shown below:<br><br><blockquote style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex" class="gmail_quote">Images destination:      /usr/share/uhd/images<br>Downloading images from: <a href="http://files.ettus.com/binaries/maint_images/archive/uhd-images_003.007.001-release.zip" target="_blank">http://files.ettus.com/binaries/maint_images/archive/uhd-images_003.007.001-release.zip</a><br>Downloading images to:   /tmp/tmpJ8nEqT/uhd-images_003.007.001-release.zip<br> 23859 kB / 23859 kB (100%)<br>Failed to install image archive: 'NoneType' object has no attribute 'decompressobj'<br>This is usually a permissions problem.<br>Please check your file system access rights and try again.<br>You can run this again with the '--verbose' flag to see more information<br>If the problem persists, please email the output to: <a href="mailto:support@ettus.com" target="_blank">support@ettus.com</a><br></blockquote><div><br></div><div>I have no idea what I should do next. So I would sincerely hope someone could enlighten me on what I should do next as I am new to this linux system and is on the process of learning. Thanks in advance.<br><br></div><div>Best Regards,<br></div><div>Wen Bin <br></div><br></div>
<br>_______________________________________________<br>
USRP-users mailing list<br>
<a href="mailto:USRP-users@lists.ettus.com" target="_blank">USRP-users@lists.ettus.com</a><br>
<a href="http://lists.ettus.com/mailman/listinfo/usrp-users_lists.ettus.com" target="_blank">http://lists.ettus.com/mailman/listinfo/usrp-users_lists.ettus.com</a><br>
<br></blockquote></div><br></div></div>
</blockquote></div>
</blockquote></div><br></div>